[
    {
        "version": "v1.2.7",
        "upload_time": "2023年1月8日",
        "url": "https://wwo.lanzout.com/iDvbn21p69gf",
        "password": "ahhg",
        "log": "NFLmusic梦开始的地方...",
        "brief": "第一个NFLmusic正式版"
    },
    {
        "version": "v1.5.7",
        "upload_time": "2023年3月22日",
        "url": "https://wwo.lanzout.com/ibbjZ21wdxah",
        "password": "fbid",
        "log": "歌曲可选择索引",
        "brief": "1条更新"
    },
    {
        "version": "v3.6.1",
        "upload_time": "2024年3月1日",
        "url": "https://wwo.lanzout.com/iHciX21mccmh",
        "password": "chai",
        "log": "整合了下载源\n优化了数据格式",
        "brief": "2条优化"
    },
    {
        "version": "v3.6.2",
        "upload_time": "2024年3月15日",
        "url": "https://wwo.lanzout.com/i1byb21mcdfg",
        "password": "2dqj",
        "log": "修复了搜索函数搜索失败问题\n修复了主题参数读取异常\n优化了搜索函数",
        "brief": "2条修复,1条优化"
    },
    {
        "version": "v3.6.3",
        "upload_time": "2024年3月31日",
        "url": "https://wwo.lanzout.com/iH5I821mce9g",
        "password": "8yz2",
        "log": "新增文件删除功能\n美化部分按钮外观\n优化随机诗句加载",
        "brief": "1条更新,2条优化"
    },
    {
        "version": "v3.6.4",
        "upload_time": "2024年4月11日",
        "url": "https://wwo.lanzout.com/i9ok821mcf0d",
        "password": "58rh",
        "log": "调整部分UI\n优化了运行性能\n修复了播放参数异常的问题",
        "brief": "2条优化,1条修复"
    },
    {
        "version": "v3.6.5",
        "upload_time": "2024年4月24日",
        "url": "https://wwo.lanzout.com/i4PPn21mcg3c",
        "password": "80w7",
        "log": "修复了部分界面无法正常显示的问题\n增加了更新设置",
        "brief": "1条修复,1条更新"
    },
    {
        "version": "v3.6.6",
        "upload_time": "2024年5月1日",
        "url": "https://wwo.lanzout.com/iRN6j21mcguj",
        "password": "8y8u",
        "log": "优化了图形界面\n优化了操作体验",
        "brief": "2条优化"
    },
    {
        "version": "v3.7.8",
        "upload_time": "2024年6月1日",
        "url": "https://wwo.lanzout.com/imnad21mchpa",
        "password": "9x15",
        "log": "大幅度修改UI界面\n修改设置项“更新方式”至“自动更新”\n修复了部分数据加载问题\n修改了下载文件的文件名\n修改了窗口图标\n增加了未联网时的随机一言\n增加了五个彩蛋\n增加了音乐暂停功能\n增加了检测更新功能\n现在设置音乐下载目录时可以进行浏览了\n现在在点击“千万别点!”后不能二次点击触发了\n优化了音乐加载算法\n翻译了主题文本",
        "brief": "7条优化,1条修复,4条更新"
    },
    {
        "version": "v3.7.9",
        "upload_time": "2024年6月2日",
        "url": "https://wwo.lanzout.com/idr6W21mci8j",
        "password": "5cg6",
        "log": "修复了暂停或停止音乐短时间后会重新播放的问题\n修复了播放状态下未选中歌曲会无法暂停的问题\n修复了未选中歌曲时播放会使停止按钮变为可用状态的问题\n修复了未选中歌曲时播放会使播放按钮切换为暂停图标的问题\n修复了浏览下载路径点击取消时会抹除当前路径的问题\n修改了应用分发协议并调整了“关于”部分的文本\n增加了播放时长的显示文本\n增加了随机诗句每行的允许最大字符数\n现在更新日志会优先显示最近的更新内容\n现在系统只有在确保未联网状态下才会显示未联网诗句\n现在随机一言不会因为过长而导致被系统截断了",
        "brief": "5条修复,1条更新,4条优化"
    },
    {
        "version": "v3.8.0",
        "upload_time": "2024年6月4日",
        "url": "https://wwo.lanzout.com/iUHRo21mcizg",
        "password": "6dcq",
        "log": "修复了“关于”中一处文本显示错误的问题\n修复了歌曲列表中滚动条溢出外框的问题\n大幅度修改UI界面\n修改了下载文件的文件名\n增加了下载列表中歌曲专辑的显示\n增加了歌曲播放的进度条\n删除了歌曲播放结束后会循环播放的设定\n删除了下载按钮，现在可以直接通过双击列表项目进行下载",
        "brief": "2条修复,2条优化,4条更新"
    },
    {
        "version": "v3.8.1",
        "upload_time": "2024年6月4日",
        "url": "https://wwo.lanzout.com/i9bpn21mcjgd",
        "password": "4e5t",
        "log": "优化了程序的算法，修复了上个版本中开启应用时会导致严重卡顿的问题",
        "brief": "1条优化"
    },
    {
        "version": "v3.8.2",
        "upload_time": "2024年6月5日",
        "url": "https://wwo.lanzout.com/i9nA021mckmf",
        "password": "3axw",
        "log": "修复了音乐播放结束后进度条会停留在末尾的问题\n修复了下载框中的提示不居中的问题\n增加了更新进度条的下载文字提示\n增加了鸣谢中的两个项目\n增加了鸣谢中的赞助者列表\n删除了停止按钮，取而代之的是播放模式按钮\n现在双击播放列表中的文件可以直接进行播放了\n现在聚焦搜索输入框时会将提示词清除了，同时当输入框中如果为空时，会附加提示词\n现在歌曲列表只会捕获.mp3文件/.flac文件/.ogg文件/.m4a文件了\n现在歌曲列表中不会显示文件后缀名称了\n现在自动更新也会显示更新进度条了\n现在播放歌曲名称也会显示在播放进度旁边了",
        "brief": "2条修复,4条更新,6条优化"
    },
    {
        "version": "v3.8.3",
        "upload_time": "2024年6月6日",
        "url": "https://wwo.lanzout.com/iMiSn21mcldc",
        "password": "h4gu",
        "log": "修复了未联网状态下无法启动程序的问题\n修复了连续快速点击下载列表时进度条显示异常的问题\n增加了更新开始时的更新内容显示\n现在在搜索成功后若再次搜索时搜索对象未变，则不会再刷新下载列表\n现在点击“检测更新”按钮后会直接禁用点击了",
        "brief": "2条修复,1条更新,2条优化"
    },
    {
        "version": "v3.8.4",
        "upload_time": "2024年6月10日",
        "url": "https://wwo.lanzout.com/i8lJ421juhwh",
        "password": "69jf",
        "log": "修改了应用程序图标\n更换了“随机一言”的API\n增加了公告显示功能，目前显示在关于页面",
        "brief": "2条优化,1条更新"
    },
    {
        "version": "v3.8.5",
        "upload_time": "2024年6月11日",
        "url": "https://wwo.lanzout.com/iNOqG21jweed",
        "password": "hy9n",
        "log": "优化了更新应用的算法，修复了历史遗留问题\n更换了文件托管方",
        "brief": "2条优化"
    },
    {
        "version": "v3.8.6",
        "upload_time": "2024年6月12日",
        "url": "https://wwo.lanzout.com/iQfhv21nmibi",
        "password": "cw9o",
        "log": "修复了在下载列表中双击空位置会导致下载锁定的问题\n调整了播放设置中组件的位置\n调整了关于页面的组件，将“千万别点”调整到了此页面内\n增加了“开发版本”页面，详情请自行查看\n增加了歌词下载功能，目前仅支持酷狗音乐下载源\n增加了歌词显示功能",
        "brief": "1条修复,2条优化,3条更新"
    },
    {
        "version": "v3.8.7",
        "upload_time": "2024年6月13日",
        "url": "https://wwo.lanzout.com/izOdk21qoozi",
        "password": "8stw",
        "log": "修复了在顺序、随机播放下，切换歌曲后歌词不切换的问题\n优化了下载音乐、更新时的算法，现在不会在这2种情况下发生严重卡顿了\n调整了歌词的颜色、位置与字体\n现在选中“酷狗音乐”下载源后下载同名文件会自动补充歌词了\n放大了应用程序图标",
        "brief": "1条修复,4条优化"
    },
    {
        "version": "v3.8.8",
        "upload_time": "2024年6月19日",
        "url": "https://wwo.lanzout.com/iJrXx228jk9g",
        "password": "c4yq",
        "log": "修复了在音乐时长较长时，后期歌词不同步的问题\n修复了在某些版本下无法正常更新的问题\n优化了歌词的显示逻辑，现在歌词过长会以滚动方式显示",
        "brief": "2条修复,1条优化"
    },
    {
        "version": "v3.8.9",
        "upload_time": "2024年6月21日",
        "url": "https://wwo.lanzout.com/iyB3Z22kkrgd",
        "password": "fnnx",
        "log": "修复了滚动歌词未显示完会导致下一行歌词无法显示的问题\n优化了歌词显示逻辑，滚动歌词速度现在会根据时间差进行调整\n优化了应用启动的位置，现在默认启动在屏幕正中央了\n增加了启动应用的动画\n增加了切换页面的动画",
        "brief": "1条修复,2条优化,2条更新"
    },
    {
        "version": "v3.9.0",
        "upload_time": "2024年7月11日",
        "url": "https://wwo.lanzout.com/iAfML24blz5e",
        "password": "3kpi",
        "log": "修复了更新不稳定导致进度卡死问题\n修复了歌词部分歌词下载失败导致无法下载歌曲的问题\n优化了部分界面按钮及外观样式\n新增了歌曲前后切换功能\n新增了语言选择功能，目前支持中英切换",
        "brief": "2条修复,1条优化,2条更新"
    },
    {
        "version": "v3.9.1",
        "upload_time": "2024年7月15日",
        "url": "https://wwo.lanzout.com/i2qnt24hvfuf",
        "password": "17n2",
        "log": "修复了播放，暂停图片更替失败的问题\n修复了部分用户“关于”界面白屏的问题\n修复了歌曲文件损坏导致音乐信息获取出错的问题",
        "brief": "3条修复"
    },
    {
        "version": "v3.9.2",
        "upload_time": "2024年7月19日",
        "url": "https://wwo.lanzout.com/i9VTa24y9jxc",
        "password": "9p55",
        "log": "修复了部分歌曲下载完成后重命名失败的问题\n修复了未联网时程序主界面无法加载的问题\n修复了用户数据无法取消保存的问题\n优化了广告加载算法，使广告平均加载时间更短\n新增了手动播放模式",
        "brief": "3条修复,1条优化,1条更新"
    },
    {
        "version": "v3.9.3",
        "upload_time": "2024年8月13日",
        "url": "https://wwtx.lanzout.com/iEpaC27bn6ch",
        "password": "fbqx",
        "log": "修复了程序更新后无法自动重启的问题\n优化了界面切换动画的算法",
        "brief": "1条修复,1条优化"
    }
]